=== debian/changelog ===
encryptpad (0.4.0.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Build internal libraries, since libbotan-2-dev is not in upstream yet.
  * debian/control:
    - put in editors section, not misc.
    - comment out libbotan-2-dev build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Feb 2018 15:30:12 -0800

encryptpad (0.3.2.5-0mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Sat, 21 Jan 2017 20:23:13 -0600

encryptpad (0.3.2.5-1~webupd8~yakkety1) yakkety; urgency=medium

  * New upstream release (beta)
  * Disabled encryptpad.patch (stlplus was updated from upstream
    to version 3.13)

 -- Alin Andrei <andrew@webupd8.org>  Mon, 16 Jan 2017 12:10:21 +0200

encryptpad (0.3.2.3-1~webupd8~yakkety1) yakkety; urgency=medium

  * New upstream release (beta)

 -- Alin Andrei <andrew@webupd8.org>  Fri, 02 Sep 2016 10:18:41 +0200

encryptpad (0.3.2.2-1~webupd8~xenial1) xenial; urgency=medium

  * Initial release

 -- Alin Andrei <andrew@webupd8.org>  Thu, 21 Jul 2016 13:20:54 +0200
