=== debian/control ===
Source: encryptpad
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
# XSBC-Original-Maintainer: Alin Andrei <andrew@webupd8.org>
Section: editors
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
               python, 
               pkg-config, 
#               libbotan-2-dev, 
               zlib1g-dev, 
               qt5-default
Homepage: https://github.com/evpo/EncryptPad

Package: encryptpad
Architecture: any
Section: editors
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: encryptcli
Description: Text editor with secure encryption features
 Minimalist secure text editor and binary encryptor that 
 implements RFC 4880 Open PGP format: symmetrically 
 encrypted, compressed and integrity protected. The editor
 can protect files with passwords, key files or both.

Package: encryptcli
Architecture: any
Section: editors
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CLI utility for EncryptPad
 EncryptPad Is a minimalist secure text editor and binary 
 encryptor that implements RFC 4880 Open PGP format: 
 symmetrically encrypted, compressed and integrity protected. 
 The editor can protect files with passwords, key files or 
 both.
 .
 This is the command line utility.
