=== deps/stlplus/persistence/Makefile ===
# comment out the next line to exclude the portability/inf type and un-comment the following line
LIBRARIES += ../portability
#CPPFLAGS += -DNO_STLPLUS_INF

# comment out the next line to exclude the containers library and un-comment the following line
LIBRARIES += ../containers
#CPPFLAGS += -DNO_STLPLUS_CONTAINERS

include ../../makefiles/gcc.mak
