=== deps/stlplus/portability/Makefile ===
LIBRARIES := 
CXXFLAGS += -D_FILE_OFFSET_BITS=64
include ../../makefiles/gcc.mak
