=== deps/stlplus/source/Makefile ===
include ../../makefiles/gcc.mak

all:: stlplus3.hpp

clean::
	./unmake_monolithic

stlplus3.hpp:
	./make_monolithic
	$(MAKE)
