=== deps/stlplus/subsystems/Makefile ===
LIBRARIES := ../portability ../containers
include ../../makefiles/gcc.mak
