=== debian/changelog ===
encryptpad (0.5.0.2-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Jan 2023 16:31:26 -0800

encryptpad (0.5.0.2-0parrot1) parrot-updates; urgency=medium

  * New upstream version 0.5.0.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 05 Sep 2022 21:09:49 +0700

encryptpad (0.5.0.1-0parrot2) rolling; urgency=medium

  * Fix missing libbz2-dev during compile time

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 09 Jan 2022 01:20:10 +0700

encryptpad (0.5.0.1-0parrot1) rolling; urgency=medium

  * New upstream version 0.5.0.1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 09 Jan 2022 01:16:13 +0700

encryptpad (0.5.0.0-0parrot1) rolling-testing; urgency=medium

  * Import new upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 27 Jun 2020 13:18:40 +0200

encryptpad (0.4.0.4-parrot1) rolling-testing; urgency=medium

  * Initial release.

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 12 Jan 2020 08:03:33 +0700
