=== debian/control ===
Source: encryptpad
Section: util
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Nong Hoang "dmknght" Tu <dmknght@parrotsec.org>,
           Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               libbotan-2-dev,
               libbz2-dev,
               pkg-config,
               python3,
               qtbase5-dev,
               zlib1g-dev
Standards-Version: 4.5.1
Homepage: https://github.com/evpo/EncryptPad
Vcs-Browser: https://nest.parrotsec.org/packages/tools/encryptpad
Vcs-Git: https://nest.parrotsec.org/packages/tools/encryptpad.git

Package: encryptpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Text editor for password protecting and encrypting files
 Minimalist secure text editor and binary encryptor that
 implements RFC 4880 Open PGP format: symmetrically
 encrypted, compressed and integrity protected. The editor
 can protect files with passwords, key files or both.
