=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --
override_dh_auto_configure:
	python3 configure.py

override_dh_auto_install:

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
