=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/encryptpad-$1\.tar\.gz/ \
  https://github.com/evpo/encryptpad/tags .*/v?(\d\S+)\.tar\.gz
