## encryptpad 0.5.0.3

=== debian/changelog ===
encryptpad (0.5.0.3-1parrot1) stable; urgency=medium

  * New upstream version 0.5.0.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 21 Feb 2024 16:18:58 +0700
