=== debian/control ===
Source: encryptpad
Section: misc
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Nong Hoang "dmknght" Tu <dmknght@parrotsec.org>,
           Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), python3, pkg-config, libbotan-2-dev, zlib1g-dev, qtbase5-dev, gcc, g++, make, libbz2-dev
Standards-Version: 4.5.1
Homepage: https://github.com/evpo/EncryptPad
Vcs-Browser: https://nest.parrotsec.org/packages/tools/encryptpad
Vcs-Git: https://nest.parrotsec.org/packages/tools/encryptpad.git

Package: encryptpad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Text editor for password protecting and encrypting files
 Minimalist secure text editor and binary encryptor that 
 implements RFC 4880 Open PGP format: symmetrically 
 encrypted, compressed and integrity protected. The editor
 can protect files with passwords, key files or both.
